strdupa(3)

NAME
strdupa - string duplicate using-alloca

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#define _GNU_SOURCE  /* See feature_test_macros(7) */
#include <string.h>

char *strdupa(const char *s);

DESCRIPTION
strdupa() is similar to strdup(3), but uses alloca(3) to allocate the buffer.

It is equivalent to

    strcpy(alloca(strlen(s) + 1), s)

RETURN VALUE
On success, this macro returns a pointer to the duplicated string.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
GNU.

HISTORY
GNU.

CAVEATS
See alloca(3).

SEE ALSO
string(3), alloca(3), strdup(3)